package com.example.tdl.mapper;

import com.example.tdl.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface CircuitMapper {
    List<ResultCircuitVo> getAll();

    List<ResultCircuitVo> getByTerm(CircuitTermVo circuitTermVo);

//    List<CircuitVo> getDistinct();

    int addCircuit(Map<Object,Object> map);

    int updateCircuit(Map<Object,Object> map);

    int updateEndTime(UpdateCircuitVo updateCircuitVo);

    int delCircuit(String transportationNo);

    ResultCircuitVo getByTransportationNo(String transportation);

    Integer getOnRoute(Integer time);

    Integer getDelayCount(Long compTime);

    Integer getComplted(Integer time);

    Integer getCount(Integer time);

    List<CircuitVo> getByTime(Integer time);

    List<ResultCircuitVo> getByContainerNo(String cargoNo);

    int updateEvaluate(UpdateEvaluateVo updateEvaluateVo);

    List<ResultCircuitVo> getByCircuitState(Integer circuitState);

    Integer getNo(String transportationNo);

    ResultGatewayVo getByNo(String transportationNo);
}
